Bug 484938 - DVD burning test failed.
DVD burning test failed.
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.2
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
: HwCertBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:59 EST by Gilles Therrien
Modified: 2014-03-25 20:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 11:18:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DVD test output.log (5.26 KB, text/plain)
2009-02-10 13:59 EST, Gilles Therrien
no flags Details
file /var/hts/results.xml (1.32 MB, application/xml)
2009-02-12 12:14 EST, Gilles Therrien
no flags Details
opticalDiskTest.py patch to ignore cdrecord stderr output (929 bytes, patch)
2009-02-18 10:34 EST, Greg Nichols
no flags Details | Diff
command.py patch to enhance "ignoreErrors" options (1.50 KB, patch)
2009-02-18 10:35 EST, Greg Nichols
no flags Details | Diff
opticalDiskTest.py patch to ignore cdrecord stderr output, and to close tray for dvd+rw (1.03 KB, patch)
2009-02-19 11:29 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Gilles Therrien 2009-02-10 13:59:09 EST
Created attachment 331450 [details]
DVD test output.log

Description of problem:
DVD burning test failed.

Version-Release number of selected component (if applicable):


How reproducible:
run hts dvd test with DVD-RW model OPTIARC AD-7630a

Actual results:
cdrecord: Found DVD media: using cdr_mdvd.
cdrecord: Drive does not support TAO recording.
cdrecord: Illegal write mode for this drive.

Expected results:


Additional info:
rhel 5.2 with hts updated on the 9 febuary 2009.
DVD-RW model: OPTIARC AD-7630a
http://www.sony-optiarc.us/en/products/slim-line-drives/ad-7630a
Comment 1 Greg Nichols 2009-02-12 11:28:43 EST
Please attach /var/hts/results.xml
Comment 2 Gilles Therrien 2009-02-12 12:14:24 EST
Created attachment 331716 [details]
file /var/hts/results.xml
Comment 8 Gilles Therrien 2009-02-17 11:06:09 EST
Hi, 

do u need more information on the issue?

Thanks

Gilles Therrien
Comment 9 Greg Nichols 2009-02-18 10:34:02 EST
Created attachment 332389 [details]
opticalDiskTest.py patch to ignore cdrecord stderr output

This patch changes the calls to cdrecord to ignore the spurious stderr output produced by cdrecord:

Cdrecord-Clone 2.01 (cpu-pc-linux-gnu) Copyright (C) 1995-2004 J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.

This stderr output causes HTS to through and exception before determining the available write modes of the media.
Comment 10 Greg Nichols 2009-02-18 10:35:56 EST
Created attachment 332390 [details]
command.py patch to enhance "ignoreErrors" options

This patch changes the command class to add "ignoreErrors" options to the getString calls.
Comment 12 Gilles Therrien 2009-02-18 14:07:35 EST
Hi, 

do i just copy this 2 patch in the foldaer /usr/share/hts/lib/hts or i have a command to run ?

Thanks

Gilles Therrien
Comment 13 Greg Nichols 2009-02-18 14:32:45 EST
This patch is proposed and not fully tested, and can't be used for certification.  If you'd like to verify it as a fix, you have to patch the files in /usr/share/hts/lib/hts using the patch command, ala:

> patch command.py command.patch
> patch opticalDiskTest.py opticalDiskTest.patch
Comment 17 Greg Nichols 2009-02-19 11:29:51 EST
Created attachment 332583 [details]
opticalDiskTest.py patch to ignore cdrecord stderr output, and to close tray for dvd+rw
Comment 22 Mike Carvin 2009-02-27 09:06:14 EST
This bug has also been observed using hts-5.3-15 during certification testing of the Stratus ftServer 6210 on RHEL 4.7
Comment 23 Jörg Schilling 2009-03-08 18:31:26 EDT
This bug report is not related to cdrecord but to a redhat
variant that replaced the original DVD support code
by non-working code..

If you like to write a DVD, you need to use the original
cdrecord from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/
Comment 28 errata-xmlrpc 2009-04-14 11:18:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0419.html
Comment 30 Jörg Schilling 2009-05-22 15:41:44 EDT
Note that the mentioned errata is still trying to solve
the problem based on 5 year old original sources _with_
patches that introduce bugs.

It may be that a few of the bugs introduced with previous
patches have been removed but this is not a final solution.

The code from the errata is not in conflict with the
Copyright law, so this is an advantage from using "cdrkit",
it is however no solution for the original bug report
that is related to DVD writing.

If you like to write DVDs, you need to use original
software from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

Note You need to log in before you can comment on or make changes to this bug.